2019-07-22 11:54 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000130QElectroTechDiagram Editorpublic2017-01-02 18:27
ReporterMorganol 
Assigned To 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformQt5.6.2, kf5.29.0, Plasma5.8.5, OS64bit, Linux4.8.15, gcc5.4.0,OS VersionXorg 1.19.0, Mageia6 (dev)
Product VersionSVN/trunk 
Target VersionFixed in VersionSVN/trunk 
Summary0000130: Crash when closing project without saving, after deleting folioref
Descriptionr4826
Steps To Reproduce
  1. start QET
  2. New drawing
  3. Place element folio ref following
  4. Place element folio ref previuos
  5. Link them
  6. Delete them
  7. Click the button to close project --> dialog pops up asking about saving
  8. choose to not save

--> crash at line 317 in qualgorithms.h, snippet:

----8<----8<----8<----8<----8<----8<
template <typename ForwardIterator>
Q_OUTOFLINE_TEMPLATE void qDeleteAll(ForwardIterator begin, ForwardIterator end)
{
    while (begin != end) {
        delete *begin; <--------Here
        ++begin;
    }
}
---->8---->8---->8---->8---->8---->8
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000215

Morganol (reporter)

I confirm it fixed by r4828

~0000219

scorpio810 (administrator)

Thanks for report this issue
+Notes

-Issue History
Date Modified Username Field Change
2016-12-31 02:04 Morganol New Issue
2017-01-02 17:56 Morganol Note Added: 0000215
2017-01-02 18:27 scorpio810 Status new => resolved
2017-01-02 18:27 scorpio810 Resolution open => fixed
2017-01-02 18:27 scorpio810 Fixed in Version => SVN/trunk
2017-01-02 18:27 scorpio810 Note Added: 0000219
+Issue History